package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcSettleMapper;
import com.ruoyi.oa.domain.CmcSettle;
import com.ruoyi.oa.service.ICmcSettleService;

/**
 * cmc结算审批Service业务层处理
 * 
 * @author cmc
 * @date 2024-04-29
 */
@Service
public class CmcSettleServiceImpl implements ICmcSettleService 
{
    @Autowired
    private CmcSettleMapper cmcSettleMapper;

    /**
     * 查询cmc结算审批
     * 
     * @param settleId cmc结算审批主键
     * @return cmc结算审批
     */
    @Override
    public CmcSettle selectCmcSettleBySettleId(String settleId)
    {
        return cmcSettleMapper.selectCmcSettleBySettleId(settleId);
    }

    /**
     * 查询cmc结算审批列表
     * 
     * @param cmcSettle cmc结算审批
     * @return cmc结算审批
     */
    @Override
    public List<CmcSettle> selectCmcSettleList(CmcSettle cmcSettle)
    {
        return cmcSettleMapper.selectCmcSettleList(cmcSettle);
    }

    /**
     * 新增cmc结算审批
     * 
     * @param cmcSettle cmc结算审批
     * @return 结果
     */
    @Override
    public int insertCmcSettle(CmcSettle cmcSettle)
    {
        return cmcSettleMapper.insertCmcSettle(cmcSettle);
    }

    /**
     * 修改cmc结算审批
     * 
     * @param cmcSettle cmc结算审批
     * @return 结果
     */
    @Override
    public int updateCmcSettle(CmcSettle cmcSettle)
    {
        return cmcSettleMapper.updateCmcSettle(cmcSettle);
    }

    /**
     * 批量删除cmc结算审批
     * 
     * @param settleIds 需要删除的cmc结算审批主键
     * @return 结果
     */
    @Override
    public int deleteCmcSettleBySettleIds(String[] settleIds)
    {
        return cmcSettleMapper.deleteCmcSettleBySettleIds(settleIds);
    }

    /**
     * 删除cmc结算审批信息
     * 
     * @param settleId cmc结算审批主键
     * @return 结果
     */
    @Override
    public int deleteCmcSettleBySettleId(String settleId)
    {
        return cmcSettleMapper.deleteCmcSettleBySettleId(settleId);
    }
}
